告警与响应相关接口/值班
POSTOnCall起始版本 1.0同步需要认证
创建值班排班表
创建新呼叫轮换调度计划成员班次配置。
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
nameString必填资源名称。
示例: Platform On-Call
descriptionString必填资源的详细描述。
示例: 24x7 platform on-call rotation
timezoneString必填时区。
示例: Asia/Shanghai
rotationTypeString必填轮换类型。
示例: weekly
shiftDurationString必填班次时长。
示例: 168h
响应状态
请求地址
POST/api/v1/oncall/schedules
/api/v1/oncall/schedules
请求示例
curl -X POST '{host}/api/v1/oncall/schedules' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"name":"Platform On-Call","description":"24x7 platform on-call rotation","timezone":"Asia/Shanghai","rotationType":"weekly","shiftDuration":"168h","members":"(nested array)","startDate":"2026-01-15T08:00:00Z"}'
响应示例
200{
"uuid": "sched-00112233",
"name": "Platform On-Call",
"description": "24x7 platform on-call rotation",
"timezone": "Asia/Shanghai",
"rotationType": "weekly",
"shiftDuration": "168h",
"members": [
{}
],
"startDate": "example"
}变更历史
此 API 暂无变更历史记录。
